net.dontdrinkandroot.visualization.item

## Class TypedOvalItem<T>

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.AbstractVisualItem
  - - net.dontdrinkandroot.visualization.item.AbstractColoredItem
    - - net.dontdrinkandroot.visualization.item.OvalItem
      - - net.dontdrinkandroot.visualization.item.TypedOvalItem<T>

All Implemented Interfaces:
  ColoredItem, VisualItem

    public class TypedOvalItem<T>
    extends OvalItem

### Field Summary

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`bbColor, bgColor, fgColor`

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`anchor, bounds`

### Constructor Summary

Constructors
Constructor and Description
`TypedOvalItem(T data, double centerX, double centerY, double width, double height)`
`TypedOvalItem(T data, double centerX, double centerY, double width, double height, Color fgColor)`

### Method Summary

Methods
`void` `draw(Graphics2D g2d)`
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class net.dontdrinkandroot.visualization.item.OvalItem

`updateBounds`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractColoredItem

`getBbColor, getBgColor, getFgColor, setBbColor, setBgColor, setFgColor`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`getBounds, getPosition, setPosition, setPosition`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypedOvalItem

    public TypedOvalItem(T data,
                 double centerX,
                 double centerY,
                 double width,
                 double height)

#### TypedOvalItem

    public TypedOvalItem(T data,
                 double centerX,
                 double centerY,
                 double width,
                 double height,
                 Color fgColor)

### Method Detail

#### draw

    public void draw(Graphics2D g2d)

Specified by:
  `draw` in interface `VisualItem`
Overrides:
  `draw` in class `OvalItem`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`